Skip to main content
GET
Get User Offboarding

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

user_offboarding_id
string
required

The UUID of the user offboarding.

Response

Successful Response

id
string
required

The unique UUID of the user offboarding.

user_id
string
required

The UUID of the offboarded identity.

status
enum<string>
required

The status of the offboarding.

Available options:
scheduled,
in-progress,
diverted,
cancelled,
failed,
expired,
completed
scheduled_at
string<date-time> | null
required

When the offboarding is scheduled to run, if scheduled.

created_at
string<date-time> | null
required

When the offboarding was created.

cancelled_at
string<date-time> | null
required

When the offboarding was cancelled, if it was cancelled.

completed_at
string<date-time> | null
required

When the offboarding completed, if it has completed.

workflow_config_id
string | null

The UUID of the offboarding workflow configuration this offboarding runs under, or null when none can be named for it. This field is only returned for organizations with the multiple offboarding workflows feature.